package ruledemo;

public class Rule
{
	public enum Priority
	{
		High,
		Medium,
		Low
	}
	
	private String _ruleID;
	private String _sql;
	private Priority _priority;
	
	public Rule(String id, String sql, Priority priority)
	{
		_ruleID = id;
		_sql = sql;
		_priority = priority;
		
	}

	public Priority getPriority()
	{
		return _priority;
	}

	public void setPriority(Priority priority)
	{
		this._priority = priority;
	}

	public String getRuleID()
	{
		return _ruleID;
	}

	public String getSQL()
	{
		return _sql;
	}
}
